BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/calls
getTeam ChatAdmin BFF

/bff/team-chat/calls

Restores the call window and "join" banners after a reload. enabled = false hides call buttons.

Team chatgetBffTeam-chatCalls

Parameters

No parameters required

This endpoint takes no path, query, header or body parameters.

Response schema

1 status code documented

200Success
enabledbooleanRequired
itemsobject[]Required
Each array item:
idstringRequired

16-char call id.

roomIdstringRequired
roomType"direct" | "group"Required
startedBystringRequired

Caller user wire id.

startedAtstringRequired
answeredAtstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
videobooleanRequired

The caller started with the camera on.

participantsstring[]Required

User wire ids that are rung / may join.

presentstring[]Required

User wire ids connected right now.

declinedstring[]Required
ringSecondsstring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer

Response example

application/json
{
  "enabled": false,
  "items": [
    {
      "id": "example_id",
      "roomId": "example_roomId",
      "startedBy": "example_startedBy",
      "startedAt": "example_startedAt",
      "video": false,
      "participants": [
        "string"
      ],
      "present": [
        "string"
      ],
      "declined": [
        "string"
      ]
    }
  ]
}

Request example

GET /bff/team-chat/calls

get
curl -X GET "https://api.bizkithub.com/bff/team-chat/calls" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key